textures/peej/light2_1500
{
	q3map_surfacelight 1500
	q3map_lightimage textures/peej/light2.blend.tga
	qer_editorimage textures/peej/light2.tga
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/peej/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/peej/light2.blend.tga
		//rgbGen wave sin 0.5 0.5 0 3
		blendFunc GL_ONE GL_ONE
	}
}

textures/peej/baslt4_1_2k
{
	qer_editorimage textures/peej/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/peej/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/peej/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/peej/baslt4_1_4k
{
	qer_editorimage textures/peej/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/peej/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/peej/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/peej/grate-1
{
	surfaceparm	metalsteps
	surfaceparm alphashadow		
	cull none

	// A RUSTED GRATE THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/peej/grate-1.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		
	}
}

textures/peej/ironcross_5000
{
	qer_editorimage textures/peej/light1
	q3map_lightimage textures/peej/light1.blend.tga
	q3map_surfacelight 5000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/peej/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/peej/light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/peej/toxicskytim_peej
//used in tim_dm4
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 0.5 90 120 75
	q3map_surfacelight 140
	q3map_lightimage textures/peej/intelredclouds.tga

	qer_editorimage textures/peej/inteldimclouds.tga

	skyparms - 512 -
	//cloudparms 512 full
	{
		map textures/peej/inteldimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.01 0.02
		depthWrite
	}
	{
		map textures/peej/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/peej/bouncepad01_diamond2c
{
	qer_editorimage textures/peej/bouncepad01_diamond2c.tga
	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/peej/jumppadsmall.tga	
	q3map_surfacelight 500

	
	{
		map textures/peej/bouncepad01_diamond2c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/peej/bouncepad01_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/peej/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

textures/peej/bouncepad01_diamond2c_edge
{
	qer_editorimage textures/peej/bouncepad01_diamond2c.tga
	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/peej/jumppadsmall.tga	
	q3map_surfacelight 500

	
	{
		map textures/peej/bouncepad01_diamond2c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
}

textures/peej/ceil1_37
{
	qer_editorimage textures/peej/ceil1_37.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/peej/ceil1_37.blend.tga
	// Square dirty white llight
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/peej/ceil1_37.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/peej/ceil1_37.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/peej/ceil1_39
{
	qer_editorimage textures/peej/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/peej/ceil1_39.blend.tga
	// Square dirty white llight
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/peej/ceil1_39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/peej/ceil1_39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

